;;;; "Advanced Choreography" -- this is the final video for this project.

(ns com.aurellem.run.adv-choreo
  (:use (com.aurellem.gb saves gb-driver util constants
                         items vbm characters money
                         rlm-assembly))
  (:use (com.aurellem.run util music title save-corruption
                          bootstrap-0 bootstrap-1 image
                          ram-display final-cut basic-choreo))
  (:require clojure.string)
  (:import [com.aurellem.gb.gb_driver SaveState])
  (:import java.io.File))



;; Use the gameboy's screen to display the new programming
;; instead of a side window. This will make it look much
;; cooler and create a terminal-like effect as the game is
;; being reprogramed. To do this, use a fixed data entry
;; region in ram, and run a program that translates this
;; region into the screen. Every time this data entry region
;; is full, run a program that copies the data to the
;; appropriate region in memory. This will cost ~15 seconds
;; at the beginning to set up, and then should have minimal
;; overhead (~5%) for the rest of the data transfer, but
;; will have a good psychological effect for the viewer
;; since he can see that something is actually happening in
;; the game.


